using System.Threading.Tasks;
using Abp.Application.Services;
using Abp.Application.Services.Dto;
using Personball.Demo.Roles.Dto;
using Personball.Demo.Users.Dto;

namespace Personball.Demo.Users
{
    public interface IUserAppService : IAsyncCrudAppService<UserDto, long, PagedResultRequestDto, CreateUserDto, UpdateUserDto>
    {
        Task<ListResultDto<RoleDto>> GetRoles();
    }
}