using System.Data.Entity;
using System.Reflection;
using Abp.Modules;
using Personball.Demo.EntityFramework;

namespace Personball.Demo.Migrator
{
    [DependsOn(typeof(DemoDataModule))]
    public class DemoMigratorModule : AbpModule
    {
        public override void PreInitialize()
        {
            Database.SetInitializer<DemoDbContext>(null);

            Configuration.BackgroundJobs.IsJobExecutionEnabled = false;
        }

        public override void Initialize()
        {
            IocManager.RegisterAssemblyByConvention(Assembly.GetExecutingAssembly());
        }
    }
}